<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>День 2</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>
</head>

<body>

    <div class="center" id="app">
        <input type="text" v-model="searchstr">
        <table>
            <tr v-for="student in students" v-bind:class="student.name.includes(searchstr) && searchstr!='' ? 'highlight' : ''">
                <td>{{student.id}}</td>
                <td>{{student.name}}</td>
                <td>{{student.group}}</td>
                <td>{{student.year}}</td>
                <td> <input type="checkbox" v-model="student.pr">Пр </td>
                <td> <a href="#" @click="students.splice(student.id, 1);">Удалить</a> </td>
            </tr>
        </table>
        <br>

        <input type="text" v-model="student.name">
        <select v-model="student.group">
            <option>Группа 1</option>
            <option>Группа 2</option>
            <option>Группа 3</option>
        </select>

        <input type="text" v-model="student.year">
        <input type="checkbox" v-model="student.pr">
        <button
            @click="addStudent()">Добавить</button>
        {{students.length}}

    </div>

    <style>
        table {
            padding: 5px;
            width: 30%;
            background-color: midnightblue;
            color: mintcream;
            font-family: 'Trebuchet MS';
        }

        .highlight {
            background-color: rebeccapurple;
        }

        a {
            color: mintcream;
        }

        a:hover {
            color: plum;
        }
    </style>
    <script>

        new Vue({
            el: '#app',
            data: {
                students: [
                    {
                        "id": 0,
                        "name": "Петров Петр",
                        "group": "Группа 1",
                        "year": 2002,
                        "pr": true
                    },
                    {
                        "id": 1,
                        "name": "Васильев Василий",
                        "group": "Группа 2",
                        "year": 2002,
                        "pr": false
                    },
                    {
                        "id": 2,
                        "name": "Есенин Сеня",
                        "group": "Группа 3",
                        "year": 2002,
                        "pr": true
                    }
                ],
                student: {
                    "id":0,
                    "name":"",
                    "group":"",
                    "year":"",
                    "pr":true
                },
                searchstr: "",
            },
            methods: {
                deleteStudent(id) {
                    this.students.splice(id, 1);
                },
                addStudent() {
                    this.student.id=this.students.length;
                    this.students.push(this.student)
                }
            }
        })

    </script>
</body>